Bug 71219 - Listview widgets do not look native with GTK style
Summary: Listview widgets do not look native with GTK style
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.2.3 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: GTK
  Show dependency treegraph
 
Reported: 2013-11-04 12:57 UTC by Jean-François Fortin Tam
Modified: 2017-03-06 14:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
how it looks like in LibreOffice (and OpenOffice) (26.01 KB, image/png)
2013-11-04 13:04 UTC, Jean-François Fortin Tam
Details
how it looks like in a native GTK ListView (21.61 KB, image/png)
2013-11-04 13:04 UTC, Jean-François Fortin Tam
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-François Fortin Tam 2013-11-04 12:57:37 UTC
Will attach some screenshots comparing a normal gtk app showing a listview of a document's headers, and the same document being show in libreoffice's navigator.

What you can notice there among other things is that listview cells/items in Libreoffice only have a "solid blue" rectangle tight around the text. In a gtk listview, the "blue" zone is the entire row.
Comment 1 Jean-François Fortin Tam 2013-11-04 13:04:30 UTC
Created attachment 88612 [details]
how it looks like in LibreOffice (and OpenOffice)
Comment 2 Jean-François Fortin Tam 2013-11-04 13:04:58 UTC
Created attachment 88613 [details]
how it looks like in a native GTK ListView
Comment 3 Rob Snelders 2013-11-04 18:32:54 UTC
I don't really know if those are already changed to the new format. If it isn't then we should wait for that otherwise it should be fixed. Maybe caolan knows this?
Comment 4 Maxim Monastirsky 2013-11-04 20:29:05 UTC
(In reply to comment #3)
> I don't really know if those are already changed to the new format. If it
> isn't then we should wait for that otherwise it should be fixed.
As far as I understand, the new ui format only stores the layout, while the actual widget drawing is done like before. For me it looks like an additional task for Bug 32500.
Comment 5 Caolán McNamara 2013-11-05 10:19:30 UTC
Yeah, .ui doesn't change anything here. Just how these are stored, not how they are rendered. The widget in question is probably a SvTreeViewBox. Under MacOSX we use a different expander image, so persumably these is a missing piece for gtk to use the native image there and not the fallback one. Finding that piece of code would improve this a lot I imagine.
Comment 6 Rob Snelders 2013-11-05 16:34:18 UTC
setting it to new.
Comment 7 QA Administrators 2015-07-18 17:43:24 UTC Comment hidden (obsolete)
Comment 8 Jean-François Fortin Tam 2015-07-28 19:45:59 UTC
Still an issue with 4.4.4.3. No changes.
Comment 9 Jean-François Fortin Tam 2016-01-11 21:28:27 UTC
Hi Caolan, would the current GTK3 port of LibreOffice be an opportunity to fix this one? Still occurs with libreoffice-gtk3 in the Navigator and in the Preferences window.
Comment 10 QA Administrators 2017-03-06 14:08:12 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306